## zopectl 0.3.4.1

=== debian/changelog ===
zopectl (0.3.4.1) unstable; urgency=high

  * NMU to help keep zope in sarge.
  * ZopeCTL.py (class ZopeController): don't try to 'start' an instance if 
    its access file doesn't yet exist -- advise the user how to create it instead.
    (I added a 'ZopeInstanceNotice' Exception, similar to 'ZopeInstanceError,'
    to issue a message but allow zopectl to exit with code 0.)
    Closes: #232648 zope: initial install does not work
    Closes: #229368 zope: /var/lib/zope/instance/default/access is a directory
  * and two easy minor fixes while I'm at it:
  - debian/control: depend on dpkg (>= 1.10)
    Closes: #227073 update-alternatives syntax error
  - ZopeCTL.py (class ZopeController): correct a typo/thinko in the class comments
    which generate the zopectl(8) manpage -- instead of pointing to "CONFIGURATION,"
    point to "zopectlrc(5)."
    Closes: #231341 Inexistent section in manpage
  
 -- David Coe <davidc@debian.org>  Sat,  3 Apr 2004 17:43:44 -0500

zopectl (0.3.4) unstable; urgency=low

  * debian/control:
    - Fix Build-Dependencies: Since we use dh_python, we need a
      build-dependency on "python" as well (Closes: #234155).

 -- Gregor Hoffleit <flight@debian.org>  Wed,  3 Mar 2004 12:05:24 +0100

zopectl (0.3.3) unstable; urgency=low

  * ZopeCTL.py:
    - Revert last change: Create the var directory with uid of the user
      calling zopectl (normally root), and the gid of the user as specified
      in the configuration file for this instance. Make the directory sticky,
      but group writable, so that the user running the zope instance (-u)
      can write to the var directory.
    - Add again pcgi-name, but make it default to "Zope".
  * etc/zopectlrc:
    - Add again PCGI-Name, but now with value "Zope". Correct the template for
      PCGI-Resource-Path.

 -- Gregor Hoffleit <flight@debian.org>  Thu, 19 Feb 2004 14:05:25 +0100

zopectl (0.3.2) unstable; urgency=low

  * ZopeCTL.py:
    - Don't use the current user's id (getuid()) for creating the var
      directory, but use the result of getpwnam(). (various bug reports
      against the zope package).
    - Create the log file directories with mod 01755, and with owner
      user.group (similar to the var directory) (closes: #220648).
  * debian/control:
    - Add python2.2 to Build-Depends-Indep (closes: #220558)
  * ZopeCTL.py, zopectl.5, etc/zopectlrc, examples/debugrc:
    - In the PCGI file, PCGI-Name always must be "Zope". Consequently, the
      configuration option "pcgi-name" has been removed.

 -- Gregor Hoffleit <flight@debian.org>  Wed, 18 Feb 2004 11:50:51 +0100

zopectl (0.3.1) unstable; urgency=high

  * ZopeCTL.py:
    - Added -D, --dump option to dump instance values on standard output.
    - Moved docstrings for each class to the __init__ method; now uses __man__
      class variable as __doc__.
  * debian/rules:
    - Now uses calss __doc__ variable to benerate man pages.
    - Now uses dh_python.
  * debian/control:
    - Added python to Build-Depends-Indep.

 -- Luca - De Whiskey's - De Vitis <luca@debian.org>  Sun,  2 Nov 2003 14:19:10 +0100

zopectl (0.3.0) unstable; urgency=medium

  * A bit of code restyling.
  * Added 'init' action:
    - It is smarter towards already existing files, and also set up wrong
      permissions/ownership on files (Closes: #216783).
    - It won't create access or PCGI resource file. This cames to help because
      of Bug #193694: access action does not work if used by zope.postinst
      script.
  * Deprecated the 'create' action in favour of 'init'.
  * Thightened controls over required paths before starting (Closes: #213625).
  * Now should support almos all environmental variables (Closes: #206316).
  * Minor changes:
    - Added examples/debugrc as example file.
    - Moved man pages inside classes (untill i'll step to a real documentation
      system for python).
    - No more depends on zope: instead conflicts with zope >= 2.7

 -- Luca - De Whiskey's - De Vitis <luca@debian.org>  Wed, 15 Oct 2003 10:04:29 +0200

zopectl (0.2.6) unstable; urgency=low

  * debian/postinst:
    - Removed, no more useful.
  * debian/preinst:
    - Removes any alternative for zopectl (Closes: #212850).
  * debian/control:
    - Depends on zope (<< 2.7).
    - Changed python2.1 to python2.2 in Description field.
  * zopectl.txt:
    - Added a NOTE section which explain the create command do overwrite the
      old Data.fs file (Closes: #210775).
  * debian/rules:
    - Now install zopectl as zopectl: no more alterantives.

 -- Luca - De Whiskey's - De Vitis <luca@debian.org>  Fri, 26 Sep 2003 20:21:06 +0200

zopectl (0.2.5) unstable; urgency=low

  * zopectl:
  * zopectlrc:
  * debian/control:
  * debian/rules:
    - Now use python2.2.
  * ZopeCTL.py:
  * zopectl.txt:
    - Fixed typo documenting number-of-tread option.
    - Added support and documentation for event-log-file, event-log-format,
      event-log-severity, zsyslog zsyslog-facility, zsyslog-server,
      zsyslog-access, zsyslog-access-facility zsyslog-access-server,
      profile-publisher, suppress-accessrule suppress-siteroot,
      zsp-ownerous-skip, zsp-authenticated-skip zsession-add-notify,
      zsession-del-notify, zsession-timeout-mins zsession-object-limit,
      webdav-source-port-clients, stx-default-level
      zope-dtml-request-autoquote

 -- Luca - De Whiskey's - De Vitis <luca@debian.org>  Wed, 23 Jul 2003 22:00:15 +0200

zopectl (0.2.4) unstable; urgency=low

  * Acnowledging Gregor changes.
  * debian/control:
    - Add Gregor Hoffleit to Uploaders.
  * zopectlrc:
    - Changed Software-Home value to %(zope-home)s/lib/python (Closes: #199669).

 -- Luca - De Whiskey's - De Vitis <luca@debian.org>  Wed,  2 Jul 2003 15:17:00 +0200

zopectl (0.2.3.1) unstable; urgency=low

  * Correct spelling mistakes.
  * Correct slave alternative for manpage.

 -- Gregor Hoffleit <flight@debian.org>  Wed,  2 Jul 2003 11:42:23 +0200

zopectl (0.2.3) unstable; urgency=low

  * zopectlrc:

