=== debian/control ===
Source: zopectl
Section: admin
Priority: optional
Maintainer: Luca - De Whiskey's - De Vitis <luca@debian.org>
Build-Depends-Indep: debhelper (>> 4.0.0), txt2man, python, python2.2
Standards-Version: 3.5.8

Package: zopectl
Architecture: all
Depends: dpkg (>=1.10), ${python:Depends}
Conflicts: zope (>= 2.7)
Description: Zope instances controlling utility
 zopectl is an alternative Zope controlling utility: it is capable of managing
 multiple Zope instances and apply a sequence of actions to different groups of
 instances. Actions include the generation/regeneration of emergency user or
 PCGI resource file, creation/deletion of instance related files and directory,
 common UNIX daemon operations.
 All the instances are described in files with an easy, ini file like syntax.
 .
 This package also provides ZopeCTL Python 2.2 module which is used by
 the zopectl command.
