## zopectl 0.3.4.2

=== debian/changelog ===
zopectl (0.3.4.2) unstable; urgency=high

  * NMU (0-DAY NMU, Sarge must be released)
  [This NMU has been prepared by Thaddeus H. Black <t@b-tk.org>]
  * Added to ZopeCTL.py needed support for the apparently new zope
    zpasswd configuration variables.  (The variables had indeed been
    defined in etc/zopectlrc, but ZopeCTL had not been programmed to
    handle them.  This lack led to the bug report which the present
    upload closes.) (closes: #251038)
  * Simultaneously uploaded zope (2.6.4-1.2), which fixes that package's
    part of this two-package bug.  (See the zope changelog for further
    details.); 
 
 -- Pierre Machard <pmachard@debian.org>  Sun, 22 Aug 2004 11:43:26 +0200
