## zopectl 0.3.4.3

=== debian/changelog ===
zopectl (0.3.4.3) unstable; urgency=high

  * NMU.
  * debian/control: Add an Replaces: zope (<< 2.6.2-2). According to the
    zope changelog, 2.6.2-2 is the first zope version depending on zopectl.
    Closes: #309001.

 -- Matthias Klose <doko@debian.org>  Sat, 14 May 2005 23:46:20 +0200
