=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
 Architecture: all
 Depends: dpkg (>=1.10), ${python:Depends}
 Conflicts: zope (>= 2.7)
+Replaces: zope (<= 2.6.2-2)
 Description: Zope instances controlling utility
  zopectl is an alternative Zope controlling utility: it is capable of managing
  multiple Zope instances and apply a sequence of actions to different groups of
